<div class="abrir-modal animacion fadeIn" *ngIf="modalService.modal">
<div class="modal" tabindex="-1" role="dialog" style="display:block;">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{ titulo }}</h5>
        <button (click)="cerrarModal()" type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="container">
          <div class="row">

            <div class="col-sm">
              <ul *ngIf="proveedor" class="list-group text-dark mb-3">
                <li class="list-group-item active">{{proveedor.nombre}}</li>
                <li class="list-group-item">{{proveedor.encargado}}</li>
                <li class="list-group-item">{{proveedor.email}}</li>
                <!--li class="list-group-item">{{proveedor.region.nombre}}</li-->
              </ul>

              <!--div class="input-group mb-3" >
                <div class="custom-file">
                  <input (change)="seleccionarFoto($event)" type="file" class="custom-file-input" id="inputGroupFile04" aria-describedby="inputGroupFileAddon04">
                  <label class="custom-file-label" for="inputGroupFile04">Seleccionar foto</label>
                </div>
                <div class="input-group-append">
                  <button (click)="subirFoto()" [disabled]="!fotoSeleccionada" class="btn btn-outline-secondary" type="button" id="inputGroupFileAddon04">Subir</button>
                </div>
              </div>

              <div *ngIf="progreso > 0" class="progress" style="height: 40px;">
                <div class="progress-bar progress-bar-striped" role="progressbar" [ngStyle]="{width:progreso+'%'}" attr.aria-valuenow="{{progreso}}" aria-valuemin="0" aria-valuemax="100">
                  {{progreso}}%
                </div>
              </div-->

            </div>

            <!--div class="col-sm">
              <img *ngIf="proveedor?.foto" src="http://localhost:8080/api/uploads/img/{{proveedor.foto}}" alt="{{proveedor.foto}}" class="img-thumbnail rounded">
            </div-->
          </div>
          <div class="row">
            <button type="button" class="btn btn-success btn-sm" [routerLink]="['/compras/form', proveedor.id]">crear compra</button>
          </div>
          <div class="row">

            <div class="alert alert-info my-4" *ngIf="proveedor.compras.length == 0">
              No hay compras asignadas para el proveedor {{proveedor.nombre}} {{proveedor.apellido}}
            </div>

            <table class="table table-bordered table-striped my-4" *ngIf="proveedor.compras.length > 0">
              <thead>
                <tr>
                  <th>Nro Ticket</th>
                  <th>Modo de Entrega</th>
                  <th>fecha</th>
                  <th>total</th>
                  <th>detalle</th>
                  <th>eliminar</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let compra of proveedor.compras">
                  <td>{{compra.id}}</td>
                  <td>{{compra.descripcion}}</td>
                  <td>{{compra.createAt}}</td>
                  <td>{{compra.total}}</td>
                  <td><button class="btn btn-primary btn-sm" type="button"
                    [routerLink]="['/compras', compra.id]">ver</button></td>
                    <td ><button class="btn btn-danger btn-sm" type="button" (click)="delete(compra)">eliminar</button></td>
                </tr>
              </tbody>
            </table>

          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button (click)="cerrarModal()" type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
</div>
